> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Split Account

> This creates a new split settlement account for the authenticated merchant. It can be referenced during Checkout transactions. 

**Note:**

- A unique split account code is generated when a split account is successfully created.
- This code is required when configuring split settlements in the Checkout SDK.



## OpenAPI

````yaml /openapi.json post /settlement/settlement/merchant/split-account
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /settlement/settlement/merchant/split-account:
    post:
      tags:
        - Split Settlements
      summary: Create Split Account
      description: >-
        This creates a new split settlement account for the authenticated
        merchant. It can be referenced during Checkout transactions. 


        **Note:**


        - A unique split account code is generated when a split account is
        successfully created.

        - This code is required when configuring split settlements in the
        Checkout SDK.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/createSplitAccountRequest'
            examples:
              Create Split Account:
                summary: Create Split Account Request
                value:
                  account_no: '0123456789'
                  account_name: John Doe
                  bank_code: '000001'
                  name: John doe
                  email: johndoe@gmail.com
                  currency: NGN
                  country: NGA
                  split_type: PERCENTAGE
                  split_value: 2
      responses:
        '200':
          description: Create Split Account Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/createSplitAccountResponse'
              examples:
                Create Split Account:
                  summary: Create Split Account Response
                  value:
                    code: '00'
                    success: true
                    error: null
                    data:
                      code: SSA_C0900E891783950401871
                      id: 114
                    message: split account created successfully
        '400':
          description: Invalid request
      security:
        - ApiKeyAuth: []
          TenantID: []
components:
  schemas:
    createSplitAccountRequest:
      title: Create Split Account Request
      type: object
      required:
        - account_no
        - account_name
        - bank_code
        - name
        - email
        - currency
        - country
        - split_type
        - split_value
      properties:
        account_no:
          type: string
          description: The beneficiary bank account number.
          example: '0123456789'
        account_name:
          type: string
          description: The name of the beneficiary bank account.
          example: John Doe
        bank_code:
          type: string
          description: The bank code of the beneficiary bank.
          example: '000001'
        name:
          type: string
          description: The name assigned to the Split Account.
          example: John doe
        email:
          type: string
          format: email
          description: The beneficiary email address.
          example: johndoe@gmail.com
        currency:
          type: string
          description: The settlement currency (ISO 4217).
          example: NGN
        country:
          type: string
          description: The country code (ISO 3166-1 Alpha-3).
          example: NGA
        split_type:
          type: string
          description: >-
            The calculation mechanism applied to process transaction splits
            (e.g., **PERCENTAGE**, **FLAT**). **PERCENTAGE** allocates funds on
            a percentage of the transaction amount while **FLAT** allocates a
            fixed amount from the transaction
          example: PERCENTAGE
        split_value:
          type: number
          description: Percentage or flat amount allocated to the Payaza Account owner.
          example: 2
    createSplitAccountResponse:
      title: Create Split Account Response
      type: object
      properties:
        code:
          type: string
          description: >-
            System operational status response code tracking the request
            transaction performance.
          example: '00'
        success:
          type: boolean
          description: Indicates if the request completed successfully.
          example: true
        error:
          type: string
          nullable: true
          description: >-
            Details regarding operational processing failure conditions. Returns
            null on success context.
          example: null
        data:
          type: object
          description: >-
            The payload containing tracking identifiers generated for the new
            split account configuration.
          properties:
            code:
              type: string
              description: >-
                The unique, system-generated tracking code reference assigned
                specifically to this split account configuration.
              example: SSA_C0900E891783950401871
            id:
              type: integer
              description: The unique id number of the split accont
              example: 114
        message:
          type: string
          description: Descriptive message confirming the configuration outcome.
          example: split account created successfully
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````